Subject: Re: diff/merge tool that ignores whitespace changes

From: Stephen Bash <[email-masked]>
Date: Tue, 28 Aug 2012 13:40:39 -0400 (EDT)

----- Original Message -----
> From: "Enrico Weigelt" <[email-masked]>
> Sent: Tuesday, August 28, 2012 12:26:39 PM
> Subject: diff/merge tool that ignores whitespace changes
> 
> I'm looking for a diff / merge tool that treats lines with
> only whitespace changes (trailing or leading whitespaces,
> linefeeds, etc) as equal.
> 
> The goal is to make reviews as well as merging or rebasing
> easier when things like indentions often change.
> 
> Does anybody know an solution for that ?

I use kdiff3 which has the option to ignore whitespace changes (bonus: I can use it on all three major OSes as my work requires).  It's GUI based, so that could be considered a downside to some.

I usually use a combination of Git's built-in diff and kdiff to check my work.

HTH,
Stephen